.\" DAL DaGetRegSize(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETREGSIZE "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetRegSize \- obtain the size in bytes of a register element
.SH SYNOPSIS
.B int DaGetRegSize(HANDLE \fIhandle\fB, int \fIrId\fB);
.SH DESCRIPTION
The \fIDaGetRegSize()\fR function obtains the size of the register element in
\fBbytes\fR. Each element have the same size. Register can consists of one or
several elements.
.TP
.I handle
- is a library handle, returned by \fIDaEnableAccess()\fR call
.TP
.I rId
- is register ID, that should be examine. ID of each Module register can be
found in \fI<ModuleName>RegId.h\fR file, which is located
in a standart include directory of a given Module:
\fI/ps/local/$(CPU)/drvrutil/include/<ModuleName>include\fR.
.TP
Standart DataBase register sizes are \fBchar\fR, \fBshort\fR and \fBlong\fR:
.ft B
typedef enum _tagREGSIZE {
  SZCHAR  = 1,	/* char  */
  SZSHORT = 2,	/* short */
  SZLONG  = 4,	/* long  */
.br
} REGSIZE;
.SH RETURN VALUE
Register element size in \fBbytes\fR
.TP
.B -DA_ERR_BAD_HANDLE
- provided handle is bad
.TP
.B -DA_ERR_NO_REG
- no such register
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH AUTHOR
Written by Yury Georgievskiy (ygeorgie (at) gmail.com)
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegAccessRights (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
